Bug 1000551 - RFE: provide more fine grained bundle permissions
RFE: provide more fine grained bundle permissions
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.8
Unspecified Unspecified
urgent Severity high (vote)
: ---
: RHQ 4.9
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: PM-222/PRODMGT-222
  Show dependency treegraph
 
Reported: 2013-08-23 12:02 EDT by Larry O'Leary
Modified: 2014-03-26 04:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: PM-222/PRODMGT-222
Environment:
Last Closed: 2014-03-26 04:30:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2013-08-23 12:02:50 EDT
This is an RFE for submitted from JBoss ON product.

+++ This bug was initially created as a clone of Bug #988553 +++

Need to provide more fine-grained permissions for the bundle subsystem.

Right now we have a all-or-nothing "MANAGE_BUNDLE" permission. We want to provide a better security model.

See https://docs.jboss.org/author/display/RHQ/Bundle+Permissions for the design that we will implement.

--- Additional comment from John Mazzitelli on 2013-07-25 16:02:03 EDT ---



--- Additional comment from JBoss JIRA Server on 2013-07-26 10:08:24 EDT ---

jay shaughnessy <jshaughn@redhat.com> made a comment on jira PRODMGT-222

Charles, Larry,

This is just to let you know that the design has been tweaked slightly since the customer review.  The wiki page is updated with the addition of CREATE and DELETE permissions at the bundle group level.  This covers more use cases.  It also does not affect the original proposal in that if these perms are not used everything else remains unchanged.
Comment 1 Jay Shaughnessy 2013-09-10 11:13:51 EDT
This work is done.  The 4.9 solution is documented in the wiki:

https://docs.jboss.org/author/display/RHQ/Security+Model+for+Bundle+Provisioning
Comment 2 Heiko W. Rupp 2014-03-26 04:30:56 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.